| Home | Libraries | People | FAQ | More

## Class greg_year

boost::gregorian::greg_year — Represent a day of the month (range 1900 - 10000)

## Synopsis

    // In header: <boost/date_time/gregorian/greg_year.hpp>

    class greg_year {
    public:
      // construct/copy/destruct
      greg_year(unsigned short);

      // public member functions
      operator unsigned short() const;
    };

## Description

This small class allows for simple conversion an integer value into a year for the gregorian calendar. This currently only allows a range of 1900 to 10000. Both ends of the range are a bit arbitrary at the moment, but they are the limits of current testing of the library. As such they may be increased in the future.

### `greg_year` public construct/copy/destruct

1.     greg_year(unsigned short year);

### `greg_year` public member functions

1.     operator unsigned short() const;